/*----------------------------------------------------------
*****************  伍剑 斗地主 1.0  *****************
作者：张辉
网站：http://www.wj008.net 
程序员代号：wj008
联系QQ：496865687
版权：版权全体,源代码公开,各种用途均可免费使用
**********************************************************
----------------------------------------------------------*/
var M_xmlObj=null;
var XmlStr;
function GetDate()
{
	var surl ='SendRS.asp?r='+ new Date().getTime()+Math.random();
	M_xmlObj=null;//为了内存不要被累加在调用前初始为空

	try { M_xmlObj=new XMLHttpRequest; }catch(e) {
	try { M_xmlObj=new ActiveXObject("MSXML2.XMLHTTP"); }catch(e2) {
	try { M_xmlObj=new ActiveXObject("Microsoft.XMLHTTP"); }catch(e3) { M_xmlObj=null; return;}}}

	M_xmlObj.open("POST",surl,true);
	M_xmlObj.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	M_xmlObj.send(null);
	M_xmlObj.onreadystatechange=function(){if(M_xmlObj.readyState==4) {if(M_xmlObj.status==200) 
	{
		XmlStr=M_xmlObj.responseText;
		ProcessData();
		//alert(M_xmlObj.responseText);
	}
	}}
}
function ProcessData()
{
	if(XmlStr!=null)
	{
		var Arr=StrToArray(XmlStr)
		for(var i=0;i<Arr.length;i++)
		{
		 var p=$("Btn"+i)
		 p.innerHTML="进入游戏<br>[房间"+i+"]<br>共 "+Arr[i]+" 人";
		 if(Arr[i]==3)
		 {
			 p.disabled=true;
		 }
		 else
		 {
			 p.disabled=false;
		 }
		}
		
	}
}
function SendDate()
{
	    GetDate();
		setTimeout("SendDate()",2000);
	
}

function StrToArray(Str){
	var Strs= Str.split("][");
	var len=Strs.length;
	Strs[0]=Strs[0].replace("[","");
	Strs[len-1]=Strs[len-1].replace("]","");
	return Strs;
}